Skip to Content
AccountingAccounts ReceivableRefunds

List all Refunds for an Invoice

GET
/v0/business/{business_id}/invoice/{invoice_id}/refunds

Scopes: invoice:read

Authorization

OAuth2ClientCredentialsBearer invoice:read
headerAuthorizationBearer <token>

Scope: invoice:read

Path Parameters

invoice_id*Invoice Id

The id of the invoice

Formatinv_string
business_id*Business Id

The id of the business

Formatbiz_string

Response Body

Successful Response

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/invoice/inv_WQMDNUHpBThYSNh4AprDBo/refunds'
Example Response
{  "data": [    {      "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",      "external_id": "string",      "amount": 0,      "amount_paid": 0,      "currency": "USD",      "memo": "string",      "processor": "string",      "method": "cash",      "is_return": false,      "refunded_at": "2019-08-24T14:15:22Z",      "status": "pending",      "id": "rfu_WQMDNUHpBThYSNh4AprDBo",      "payments": [        {          "amount": 0,          "id": "rfp_WQMDNUHpBThYSNh4AprDBo",          "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo"        }      ],      "refund_invoices": [        {          "external_id": "string",          "amount": 0,          "memo": "string",          "id": "rfi_WQMDNUHpBThYSNh4AprDBo",          "invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo",          "invoice_line_id": "inl_WQMDNUHpBThYSNh4AprDBo"        }      ],      "tags": {        "Job": [          {            "amount": "60.00",            "value": "Maple Street Remodel"          },          {            "amount": "40.00",            "value": "Downtown Office Rewire"          }        ]      }    }  ]}